{{page-title @model.calendar.name " | " (capitalize (t "edit"))}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::SideBar class="order-last flex-shrink-1">
      <Manage::Visibility
        @model={{@model.calendar}}
        @teams={{@model.teams}}
        @hasIsDefault={{false}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @isAdmin={{this.user.isAdmin}}
        @areAllShowing={{this.allTeams}}
        @onChangeAll={{this.changeAll}}
        @saveIsPublic={{fn this.saveField "visibility.isPublic"}}
        @saveIsDefault={{fn this.saveField "visibility.isDefault"}}
        @onEdit={{this.edit}}
        @onCancel={{this.cancel}}
      />

      <Manage::ModelInfo @editablePanel={{this.editableField}} @savingPanel={{this.savingField}} @model={{@model.calendar}} @onSave={{this.save}} @onCancel={{this.cancel}} @onEdit={{this.edit}} />
    </Manage::SideBar>

    <Manage::Container @title={{capitalize (t "edit calendar")}} @breadcrumbs={{this.breadcrumbs}}>
      <:content>
        <Manage::Row @name="article">
          <Manage::Article
            @title={{t "name and description"}}
            @editablePanel={{this.editableField}}
            @value={{@model.calendar.contentBlocks}}
            @onSave={{this.saveArticle}}
            @onCancel={{this.cancel}}
            @onEdit={{this.edit}}
          />
        </Manage::Row>

        <Manage::Row @name="cover">
          <Manage::Cover
            @title={{t "cover photo"}}
            @model="calendar"
            @modelId={{@model.calendar.id}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "cover"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @value={{@model.calendar.cover}}
          />
        </Manage::Row>

        <Manage::Row @name="map">
          <Manage::Map
            @title={{t "map"}}
            @isMainValue={{true}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "map"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @value={{@model.calendar.map}}
            @maps={{@model.maps}}
            @parentModel="calendar"
          />
        </Manage::Row>

        <Manage::Row @name="icon-sets">
          <Manage::SelectList
            @isMainValue={{true}}
            @title={{t "icon sets"}}
            @list={{@model.iconSets}}
            @emptyMessage={{t "The default icon sets will be used."}}
            @isEnabled={{@model.calendar.iconSets.useCustomList}}
            @values={{@model.calendar.iconSets.list}}
            @route="browse.icons.set"
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{this.saveIconSets}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>

        <Manage::Row @name="attributes">
          <Manage::IconAttributes
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @icon={{@model.calendar}}
            @value={{@model.calendar.attributes}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @onSave={{fn this.saveField "attributes"}}
          />
        </Manage::Row>

        <Manage::Row @name="record-name">
          <Manage::Text
            @title={{t "record name"}}
            @isMainValue={{false}}
            @value={{@model.calendar.recordName}}
            @emptyError={{t "this calendar does not have a custom record name"}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "recordName"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>
      </:content>
    </Manage::Container>
  </div>
{{/if}}